{
  "name": "supbank",
  "version": "0.0.1",
  "description": "Create a bank based on blockchain for Supinfo",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/k.monpays/supbank"
  },
  "author": {
    "name": "Pierre-Louis TALBOT",
    "email": "pierrelouistalbot@gmail.com",
    "url": "https://gitlab.com/Pierre-LouisTALBOT"
  },
  "contributors": [
    {
      "name": "Arnaud PERRIER",
      "email": "arnaud.perrier@supinfo.com",
      "url": "https://gitlab.com/NoOnoStyle"
    },
    {
      "name": "Solène",
      "email": "solene.patruno@supinfo.com",
      "url": "https://gitlab.com/Sowlene"
    },
    {
      "name": "Kévin MONPAYS",
      "email": "kevin.monpays@supinfo.com",
      "url": "https://gitlab.com/k.monpays"
    },
    {
      "name": "Dihuer Hermann KOUADIO",
      "email": "dihuer-hermann.kouadio@supinfo.com",
      "url": "https://gitlab.com/Hemko808"
    }
  ],
  "license": "Apache-2.0",
  "private": true,
  "dependencies": {
    "ajax": "0.0.4",
    "axios": "^0.19.2",
    "git": "^0.1.5",
    "jquery": "^3.5.1",
    "react": "^16.8.6",
    "react-animated-slider": "^2.0.0",
    "react-bootstrap": "^0.32.4",
    "react-device-detect": "^1.13.1",
    "react-dom": "^16.8.6",
    "react-router-bootstrap": "^0.25.0",
    "react-router-dom": "^4.3.1",
    "react-scripts": "3.0.1",
    "react-transition-group": "^4.4.1"
  },
  "devDependencies": {
    "eslint": "^5.2.0",
    "npm-check-updates": "^2.14.2",
    "remark-cli": "^6.0.1",
    "remark-preset-lint-markdown-style-guide": "^2.1.1",
    "standard-markdown": "^5.0.0"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "update": "./node_modules/npm-check-updates/bin/ncu -u",
    "lint": "npm run lint-js ; npm run lint-docs",
    "lint-js": "./node_modules/.bin/eslint --ext .js .",
    "lint-docs": "./node_modules/.bin/remark . && ./node_modules/.bin/standard-markdown .",
    "precommit": "npm run update && npm run lint"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
